Bug 441347 - Freeze while screensaver supposedly operating
Freeze while screensaver supposedly operating
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 13:46 EDT by Stan Klein
Modified: 2015-01-14 18:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:05:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf, as requested (566 bytes, text/plain)
2008-04-08 10:22 EDT, Stan Klein
no flags Details
Xorg log, as requested (60.33 KB, text/plain)
2008-04-08 10:23 EDT, Stan Klein
no flags Details

  None (edit)
Description Stan Klein 2008-04-07 13:46:54 EDT
Description of problem:

Sometimes when my screensaver is supposed to be operating I see a
fatter-than-normal arrow on a blank screen and then I can't do anything to get
back into the session I had left.  The only way I've found to recover is to hit
ctrl-alt-backspace, that logs me out, kills anything I had been doing, and sends
me back to a login screen.

I had the screensaver set on random.



Version-Release number of selected component (if applicable):

This is on Fedora 7 with most updates applied, except for those thar arrived today.


How reproducible:

I don't know.  This happens occasionally.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-04-08 09:29:28 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Stan Klein 2008-04-08 10:22:53 EDT
Created attachment 301636 [details]
xorg.conf, as requested
Comment 3 Stan Klein 2008-04-08 10:23:44 EDT
Created attachment 301638 [details]
Xorg log, as requested
Comment 4 Stan Klein 2008-04-08 14:43:47 EDT
I happen to have noticed my system going into screen saver mode.  I saw the
fatter-than-normal arrow appear momentarily and then one of the screensaver
themes began to operate.

As I originally stated, my screensaver selection is "Random", which somehow
selects from among the available screensaver themes.  I noticed that one of the
themes is a Pictures Folder.  I have not defined a pictures folder nor have I
populated a folder with pictures.

I now suspect that somehow, if the random selection falls on Pictures Folder and
the screensaver does not find one, the software freezes unrecoverably instead of
handling the exception and making another selection.  I would guess that, when
the freeze occurs, the fatter-than-normal arrow remains on the screen.

Please consider my suspicion as a possibility.
 
Comment 5 Stan Klein 2008-04-08 16:04:55 EDT
I did an rpm -qil on gnome-screensaver and could find no documentation on how or
where to set up a Pictures Folder.  Nor could I find documentation or a file
where I could eliminate the Pictures Folder as an option.  The documentation
that comes up after clicking Help on the screensaver preferences page says to
look at distro documentation for anything relevant to themes.
Comment 6 Matěj Cepl 2008-04-09 07:44:09 EDT
This is not Xorg bug, reassigning to better component.
Comment 7 Bug Zapper 2008-05-14 11:25:22 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 23:05:17 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.